> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-feature-requests.md).

# Setup Feature Requests

Feature Requests lets users submit and discuss feature ideas. You can enable/disable the feature, require or make optional the email field, and show the feature requests UI.

### Enable/disable

{% code title="Kotlin" %}

```kotlin
FeatureRequestsKmp.setEnabled(true)
```

{% endcode %}

### Email field requirement

Set whether the email field is required when submitting a feature request or adding a comment. You can set this per action type:

{% code title="Kotlin" %}

```kotlin
FeatureRequestsKmp.setEmailFieldRequired(
    isEmailFieldRequired = true,
    actionTypes = listOf(ActionType.RequestNewFeature, ActionType.AddCommentToFeature)
)
```

{% endcode %}

Default is required (`true`). Use `false` to make the email optional.

### Show feature requests UI

Open the list of feature requests (and submit new ones) from your app:

{% code title="Kotlin" %}

```kotlin
FeatureRequestsKmp.show()
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-feature-requests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
